/**
 * 人员管理接口
 */
import request from './index'
const prefix = 'worker'
// 图片上传接口
export function uploadApi(data: FormData) {
  return request({
    url: 'file/upload',
    method: 'post',
    data,
  })
}
// 人员列表
export function getPersonListPage(params: object) {
  return request({
    url: `${prefix}/listPage`,
    method: 'get',
    params,
  })
}
// 更新人员
export function updatePerson(data: object) {
  return request({
    url: `${prefix}/update`,
    method: 'post',
    data,
  })
}
// 新增人员
export function addPerson(data: object) {
  return request({
    url: `${prefix}/add`,
    method: 'post',
    data,
  })
}
// 删除人员
export function delPerson(data: object) {
  return request({
    url: `${prefix}/delete`,
    method: 'post',
    data,
  })
}
// 临时人员列表
export function getTempPersonListPage(projectId: string) {
  return request({
    url: `${prefix}/projectTempWorker?projectId=${projectId}`,
    method: 'get',
  })
}
